{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% if showActionButton == true %}
        <th class="mdc-data-table__header-cell" role="columnheader" scope="col"></th>
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nr.',
        'columnId': 'nummer',
        'ariaLabelId': 'number',
        'ariaLabelName': 'Number'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Titel',
        'columnId': 'titel',
        'ariaLabelId': 'title',
        'ariaLabelName': 'Title'
    } only %}

    {% if showStatus is defined and showStatus == true %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Status',
            'columnId': 'status',
            'ariaLabelId': 'status',
            'ariaLabelName': 'Status'
        } only %}
    {% endif %}

    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Gesucht von',
            'columnId': 'suchender',
            'ariaLabelId': 'person',
            'ariaLabelName': 'Person'
        } only %}
    {% endif %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Nutzung',
        'columnId': 'nutzung',
        'ariaLabelId': 'usage',
        'ariaLabelName': 'Usage'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'aktiv bis',
        'columnId': 'aktiv_bis',
        'ariaLabelId': 'available-till',
        'ariaLabelName': 'Available Till'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Grund',
        'columnId': 'grund',
        'ariaLabelId': 'request-reason',
        'ariaLabelName': 'Request Reason'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Flächenbedarf',
        'columnId': 'flaechenbedarf',
        'ariaLabelId': 'space-requirement',
        'ariaLabelName': 'Space Requirement'
    } only %}

    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Sachbearbeiter:in',
            'columnId': 'sachbearbeiter',
            'ariaLabelId': 'assigned-account-user',
            'ariaLabelName': 'Assigned Account User'
        } only %}
    {% endif %}

    {% if is_granted('ROLE_PROPERTY_SEEKER') %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Angebote',
            'columnId': 'angebote',
            'ariaLabelId': 'offers',
            'ariaLabelName': 'Offers'
        } only %}
    {% else %}
        {% include 'component/list_component/columnheader_component.html.twig' with {
            'sortable': sortable,
            'label': 'Weiterl.',
            'columnId': 'weiterleitungen',
            'ariaLabelId': 'forwardings',
            'ariaLabelName': 'Forwardings'
        } only %}
    {% endif %}

{% endblock %}

{% block tableContent %}
    {% if showActionButton == true %}
        <td class="mdc-data-table__cell">
            {% include 'component/view_or_edit_button_component.html.twig' with {
                'path': path('company_location_management_looking_for_property_request_edit', {'id': listItem.getId()}),
                'item': listItem
            } only %}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">{{ listItem.getId() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getTitle() }}</td>
    {% if showStatus is defined and showStatus == true %}
        <td class="mdc-data-table__cell">
            {% if listItem.isArchived() %}
                archiviert
            {% elseif listItem.getRequestAvailableTill() is not null and listItem.getRequestAvailableTill() < date()  %}
                abgelaufen
            {% else %}
                aktiv
            {% endif %}
        </td>
    {% endif %}
    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
        <td class="mdc-data-table__cell">
            {{ listItem.getPerson().buildShortDisplayName() }}
        </td>
    {% endif %}
    <td class="mdc-data-table__cell">
        {% include 'component/industry_classification/icon_component.html.twig' with {'industryClassification': listItem.getPropertyRequirement().getIndustryClassification(), 'tooltip': true, 'itemType': 'looking-for-property-request', 'itemId': listItem.getId()} only %}
    </td>
    <td class="mdc-data-table__cell">
        {% if listItem.getRequestAvailableTill() is not null %}
            {{ listItem.getRequestAvailableTill().format('d.m.Y') }}
        {% else %}
            ohne Ablauf
        {% endif %}
    </td>
    <td class="mdc-data-table__cell">{{ listItem.getRequestReason().getName() }}</td>
    <td class="mdc-data-table__cell">
        {% if listItem.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMinimumValue() is defined and listItem.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMinimumValue() > 0 %}
            {{ listItem.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMinimumValue()|number_format(0,',','.') }} -
        {% endif %}
        {{ listItem.getPropertyRequirement().propertyValueRangeRequirement.totalSpace.getMaximumValue()|number_format(0,',','.') }} m²
    </td>
    {% if is_granted('ROLE_USER') or is_granted('ROLE_LOOKING_FOR_PROPERTY_REQUEST_FEEDER') %}
        <td class="mdc-data-table__cell">
            {% if listItem.getAssignedToAccountUser() != null %}
                {% if listItem.getAssignedToAccountUser().isDeleted() == true %}
                    <span class="text-danger">
                        <i class="material-icons left align-middle">person_off</i>
                        gelöscht
                    </span>
                {% else %}
                    {{ listItem.getAssignedToAccountUser().getFullname() }}
                {% endif %}
            {% else %}
                -
            {% endif %}
        </td>
    {% endif %}
    {% if is_granted('ROLE_PROPERTY_SEEKER') %}
        <td class="mdc-data-table__cell">
            {% if listItem.getLookingForPropertyRequestExposeForwardings()|length > 0 %}
                <a class="fw-bold" href="{{ path('company_location_management_expose_forwarding_overview', {'lookingForPropertyRequestId': listItem.getId()}) }}">{{ listItem.getLookingForPropertyRequestExposeForwardings()|length }}</a>
            {% else %}
                -
            {% endif %}
        </td>
    {% else %}
        <td class="mdc-data-table__cell">
            {% if listItem.getLookingForPropertyRequestExposeForwardings()|length > 0 %}
                {{ listItem.getLookingForPropertyRequestExposeForwardings()|length }}
            {% else %}
                -
            {% endif %}
        </td>
    {% endif %}
{% endblock %}
